Subject: Re: [PATCH] Clarify and fix English in git-rm documentation.

From: Junio C Hamano <[email-masked]>
Date: Wed, 16 Apr 2008 00:06:40 -0700

Jon Loeliger <[email-masked]> writes:

> diff --git a/Documentation/git-rm.txt b/Documentation/git-rm.txt
> index dc36c66..2066def 100644
> --- a/Documentation/git-rm.txt
> +++ b/Documentation/git-rm.txt
> @@ -11,28 +11,34 @@ SYNOPSIS
>  
>  DESCRIPTION
>  -----------
> +Remove files from the index, or from the working tree and the index.
> +`git rm` will not remove a file from just your working directory.

The last sentence made me stop reading and read the paragraph twice and
half.  Perhaps it would make it easier to read if we make it

	(there is no option to remove a file only from work tree and keep
	it in the index; use regular "/bin/rm" if you want to do that).

a parenthesized note as the tail part of the previous sentence?

> +The files being removed have to be identical to the tip of the branch,
> +and no updates to their contents can be staged in the index.

Perhaps add "This can be overridden with the `-f` option" here?